Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JRAbstractExporter.ParameterOverriddenResolver

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractExporter.ParameterOverriddenResolver

All Implemented Interfaces:
  JRAbstractExporter.ParameterResolver

Enclosing class:
  JRAbstractExporter

    protected class JRAbstractExporter.ParameterOverriddenResolver

extends java.lang.Object
implements JRAbstractExporter.ParameterResolver

Constructor Summary
`protected` | `JRAbstractExporter.ParameterOverriddenResolver()`

Method Summary
`boolean` | `getBooleanParameter(JRExporterParameter parameter, java.lang.String property, boolean defaultValue)`
`java.lang.Character` | `getCharacterParameter(JRExporterParameter parameter, java.lang.String property)`
`float` | `getFloatParameter(JRExporterParameter parameter, java.lang.String property, float defaultValue)`
`int` | `getIntegerParameter(JRExporterParameter parameter, java.lang.String property, int defaultValue)`
`java.lang.String[]` | `getStringArrayParameter(JRExporterParameter parameter, java.lang.String propertyPrefix)`
`java.lang.String` | `getStringParameter(JRExporterParameter parameter, java.lang.String property)`
`java.lang.String` | `getStringParameterOrDefault(JRExporterParameter parameter, java.lang.String property)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRAbstractExporter.ParameterOverriddenResolver

    protected JRAbstractExporter.ParameterOverriddenResolver()

Method Detail

### getStringParameter

    public java.lang.String getStringParameter(JRExporterParameter parameter,
                                               java.lang.String property)

  Specified by:
    `getStringParameter` in interface `JRAbstractExporter.ParameterResolver`

### getStringArrayParameter

    public java.lang.String[] getStringArrayParameter(JRExporterParameter parameter,
                                                      java.lang.String propertyPrefix)

  Specified by:
    `getStringArrayParameter` in interface `JRAbstractExporter.ParameterResolver`

### getStringParameterOrDefault

    public java.lang.String getStringParameterOrDefault(JRExporterParameter parameter,
                                                        java.lang.String property)

  Specified by:
    `getStringParameterOrDefault` in interface `JRAbstractExporter.ParameterResolver`

### getBooleanParameter

    public boolean getBooleanParameter(JRExporterParameter parameter,
                                       java.lang.String property,
                                       boolean defaultValue)

  Specified by:
    `getBooleanParameter` in interface `JRAbstractExporter.ParameterResolver`

### getIntegerParameter

    public int getIntegerParameter(JRExporterParameter parameter,
                                   java.lang.String property,
                                   int defaultValue)

  Specified by:
    `getIntegerParameter` in interface `JRAbstractExporter.ParameterResolver`

### getFloatParameter

    public float getFloatParameter(JRExporterParameter parameter,
                                   java.lang.String property,
                                   float defaultValue)

  Specified by:
    `getFloatParameter` in interface `JRAbstractExporter.ParameterResolver`

### getCharacterParameter

    public java.lang.Character getCharacterParameter(JRExporterParameter parameter,
                                                     java.lang.String property)

  Specified by:
    `getCharacterParameter` in interface `JRAbstractExporter.ParameterResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com